Bug 8240 - valgrind warnings in winreg/spoolss code
valgrind warnings in winreg/spoolss code
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 16:37 UTC by Stefan Metzmacher
Modified: 2011-06-21 18:05 UTC (History)
4 users (show)

See Also:


Attachments
The valgrind output (27.71 KB, text/plain)
2011-06-16 16:45 UTC, Stefan Metzmacher
no flags Details
fix (5.64 KB, patch)
2011-06-20 17:35 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2011-06-16 16:37:07 UTC
While debugging the valgrind problems of bug #8215,
I've found a lot of valgrind warnings when running this
on ubuntu 10.04 64-bit:

TDB_NO_FSYNC=1 SMBD_OPTIONS="-d10" SMBD_VALGRIND="valgrind --log-file=metze.vg-smbd --num-callers=30 --track-origins=yes" make test -j TESTS="spoolss"

(The -d10 matters as this means the ndr_print code will tell us
where the unitialized memory comes from, otherwise it's really
hard to find if valgrind just complains about writev())
Comment 1 Stefan Metzmacher 2011-06-16 16:45:54 UTC
Created attachment 6591 [details]
The valgrind output
Comment 2 Andreas Schneider 2011-06-20 17:35:21 UTC
Created attachment 6598 [details]
fix

This patchset fixes the warnings. Please push to master and 3.6 if they are fine with you.
Comment 3 Guenther Deschner 2011-06-21 15:47:23 UTC
Comment on attachment 6598 [details]
fix

looks good, I pushed that patchset to master
Comment 4 Guenther Deschner 2011-06-21 15:47:53 UTC
Karolin, please add to 3.6
Comment 5 Karolin Seeger 2011-06-21 18:05:51 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!